#include <service.h>
#include "addressbookservice.h"
#include "addressbook-odb.hxx"

AddressBookService::AddressBookService()
{
}

AddressBookService::~AddressBookService()
{
}

AddressbookDataPtr AddressBookService::copyAddress(AddressbookDataPtr address)
{
    AddressbookDataPtr newAddress(new AddressbookData());

    newAddress->setTitle(address->title());
    newAddress->setFirstName(address->firstName());
    newAddress->setLastName(address->lastName());
    newAddress->setBirthDate(address->birthDate());
    newAddress->setIdCardNumber(address->idCardNumber());
    newAddress->setZtp(address->ztp());
    newAddress->setAddressStreet(address->addressStreet());
    newAddress->setAddressHouseNumber(address->addressHouseNumber());
    newAddress->setAddressZipCode(address->addressZipCode());
    newAddress->setAddressCity(address->addressCity());
    newAddress->setCountry(address->country());

    return newAddress;
}

